#ifndef __SP_MENU
#define __SP_MENU

#include "stk.h"

// Global defines and variables
#define MENUPLANETS 6
#define PLANETSLICES 13
#define PLANETSTACKS 13
#define DZPLANETROTATION 5

class Sp_MenuPrincipal: public Stk_Prog
{
public:
    Sp_MenuPrincipal(Stk_Looper *);
    ~Sp_MenuPrincipal();
    
    void MessageReceived(Stk_Message *);    
    int Loop();
private:
    int menuchoice;
    void InitPlanets();
    void DrawPlanets();
    void DrawText(GLfloat x, GLfloat y, GLfloat z, char *message);
    int CalculateStringWidth(char *message);
    Stk_Font *font;
    unsigned int num_tex;
};





#endif
