#include <stdlib.h> 
#include "stk_time.h"



Stk_Timer::Stk_Timer()
{
    gettimeofday(&start,0);
}


/* Return elapsed milliseconds. */
long Stk_Timer::GetTime() const
{
    struct timeval elapsed, now;
    gettimeofday(&now,0);
    elapsed=Delta(now,start);
    return  ((elapsed.tv_sec * 1000) + (elapsed.tv_usec / 1000));
}


struct timeval Stk_Timer::Delta(const struct timeval src1,const struct timeval src2) const
{
    struct timeval dest;
    if(((dest).tv_usec = (src1).tv_usec - (src2).tv_usec) < 0) {
        (dest).tv_usec += 1000000; 
        (dest).tv_sec = (src1).tv_sec - (src2).tv_sec - 1; 
    } else { 
        (dest).tv_sec = (src1).tv_sec - (src2).tv_sec; 
    } 
    return dest;    
}



