#ifndef __STK_TIME
#define __STK_TIME

#include <stdlib.h>
#include <stdio.h>

#include <sys/time.h>


/** This class Define a Timer. His reference time
    is the instant when the constructor is called.
 */
class Stk_Timer
{
public:
        /// Constructor: the timer start
    Stk_Timer();
        /// Give the time elapsed
    long GetTime() const;

private:
        // date of birth of timer
    struct timeval start;
        // compute delta between two time
    struct timeval Delta(const struct timeval src1,const struct timeval src2) const;
};



#endif
